datadog\_api\_client.v1.model
=============================

access\_role
------------

.. automodule:: datadog_api_client.v1.model.access_role
   :members:
   :show-inheritance:

add\_signal\_to\_incident\_request
----------------------------------

.. automodule:: datadog_api_client.v1.model.add_signal_to_incident_request
   :members:
   :show-inheritance:

agent\_check
------------

.. automodule:: datadog_api_client.v1.model.agent_check
   :members:
   :show-inheritance:

alert\_graph\_widget\_definition
--------------------------------

.. automodule:: datadog_api_client.v1.model.alert_graph_widget_definition
   :members:
   :show-inheritance:

alert\_graph\_widget\_definition\_type
--------------------------------------

.. automodule:: datadog_api_client.v1.model.alert_graph_widget_definition_type
   :members:
   :show-inheritance:

alert\_value\_widget\_definition
--------------------------------

.. automodule:: datadog_api_client.v1.model.alert_value_widget_definition
   :members:
   :show-inheritance:

alert\_value\_widget\_definition\_type
--------------------------------------

.. automodule:: datadog_api_client.v1.model.alert_value_widget_definition_type
   :members:
   :show-inheritance:

api\_error\_response
--------------------

.. automodule:: datadog_api_client.v1.model.api_error_response
   :members:
   :show-inheritance:

api\_key
--------

.. automodule:: datadog_api_client.v1.model.api_key
   :members:
   :show-inheritance:

api\_key\_list\_response
------------------------

.. automodule:: datadog_api_client.v1.model.api_key_list_response
   :members:
   :show-inheritance:

api\_key\_response
------------------

.. automodule:: datadog_api_client.v1.model.api_key_response
   :members:
   :show-inheritance:

apm\_stats\_query\_column\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.apm_stats_query_column_type
   :members:
   :show-inheritance:

apm\_stats\_query\_definition
-----------------------------

.. automodule:: datadog_api_client.v1.model.apm_stats_query_definition
   :members:
   :show-inheritance:

apm\_stats\_query\_row\_type
----------------------------

.. automodule:: datadog_api_client.v1.model.apm_stats_query_row_type
   :members:
   :show-inheritance:

application\_key
----------------

.. automodule:: datadog_api_client.v1.model.application_key
   :members:
   :show-inheritance:

application\_key\_list\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.application_key_list_response
   :members:
   :show-inheritance:

application\_key\_response
--------------------------

.. automodule:: datadog_api_client.v1.model.application_key_response
   :members:
   :show-inheritance:

authentication\_validation\_response
------------------------------------

.. automodule:: datadog_api_client.v1.model.authentication_validation_response
   :members:
   :show-inheritance:

aws\_account
------------

.. automodule:: datadog_api_client.v1.model.aws_account
   :members:
   :show-inheritance:

aws\_account\_and\_lambda\_request
----------------------------------

.. automodule:: datadog_api_client.v1.model.aws_account_and_lambda_request
   :members:
   :show-inheritance:

aws\_account\_create\_response
------------------------------

.. automodule:: datadog_api_client.v1.model.aws_account_create_response
   :members:
   :show-inheritance:

aws\_account\_delete\_request
-----------------------------

.. automodule:: datadog_api_client.v1.model.aws_account_delete_request
   :members:
   :show-inheritance:

aws\_account\_list\_response
----------------------------

.. automodule:: datadog_api_client.v1.model.aws_account_list_response
   :members:
   :show-inheritance:

aws\_logs\_async\_error
-----------------------

.. automodule:: datadog_api_client.v1.model.aws_logs_async_error
   :members:
   :show-inheritance:

aws\_logs\_async\_response
--------------------------

.. automodule:: datadog_api_client.v1.model.aws_logs_async_response
   :members:
   :show-inheritance:

aws\_logs\_lambda
-----------------

.. automodule:: datadog_api_client.v1.model.aws_logs_lambda
   :members:
   :show-inheritance:

aws\_logs\_list\_response
-------------------------

.. automodule:: datadog_api_client.v1.model.aws_logs_list_response
   :members:
   :show-inheritance:

aws\_logs\_list\_services\_response
-----------------------------------

.. automodule:: datadog_api_client.v1.model.aws_logs_list_services_response
   :members:
   :show-inheritance:

aws\_logs\_services\_request
----------------------------

.. automodule:: datadog_api_client.v1.model.aws_logs_services_request
   :members:
   :show-inheritance:

aws\_namespace
--------------

.. automodule:: datadog_api_client.v1.model.aws_namespace
   :members:
   :show-inheritance:

aws\_tag\_filter
----------------

.. automodule:: datadog_api_client.v1.model.aws_tag_filter
   :members:
   :show-inheritance:

aws\_tag\_filter\_create\_request
---------------------------------

.. automodule:: datadog_api_client.v1.model.aws_tag_filter_create_request
   :members:
   :show-inheritance:

aws\_tag\_filter\_delete\_request
---------------------------------

.. automodule:: datadog_api_client.v1.model.aws_tag_filter_delete_request
   :members:
   :show-inheritance:

aws\_tag\_filter\_list\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.aws_tag_filter_list_response
   :members:
   :show-inheritance:

azure\_account
--------------

.. automodule:: datadog_api_client.v1.model.azure_account
   :members:
   :show-inheritance:

azure\_account\_list\_response
------------------------------

.. automodule:: datadog_api_client.v1.model.azure_account_list_response
   :members:
   :show-inheritance:

cancel\_downtimes\_by\_scope\_request
-------------------------------------

.. automodule:: datadog_api_client.v1.model.cancel_downtimes_by_scope_request
   :members:
   :show-inheritance:

canceled\_downtimes\_ids
------------------------

.. automodule:: datadog_api_client.v1.model.canceled_downtimes_ids
   :members:
   :show-inheritance:

change\_widget\_definition
--------------------------

.. automodule:: datadog_api_client.v1.model.change_widget_definition
   :members:
   :show-inheritance:

change\_widget\_definition\_type
--------------------------------

.. automodule:: datadog_api_client.v1.model.change_widget_definition_type
   :members:
   :show-inheritance:

change\_widget\_request
-----------------------

.. automodule:: datadog_api_client.v1.model.change_widget_request
   :members:
   :show-inheritance:

check\_can\_delete\_monitor\_response
-------------------------------------

.. automodule:: datadog_api_client.v1.model.check_can_delete_monitor_response
   :members:
   :show-inheritance:

check\_can\_delete\_monitor\_response\_data
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.check_can_delete_monitor_response_data
   :members:
   :show-inheritance:

check\_can\_delete\_slo\_response
---------------------------------

.. automodule:: datadog_api_client.v1.model.check_can_delete_slo_response
   :members:
   :show-inheritance:

check\_can\_delete\_slo\_response\_data
---------------------------------------

.. automodule:: datadog_api_client.v1.model.check_can_delete_slo_response_data
   :members:
   :show-inheritance:

check\_status\_widget\_definition
---------------------------------

.. automodule:: datadog_api_client.v1.model.check_status_widget_definition
   :members:
   :show-inheritance:

check\_status\_widget\_definition\_type
---------------------------------------

.. automodule:: datadog_api_client.v1.model.check_status_widget_definition_type
   :members:
   :show-inheritance:

content\_encoding
-----------------

.. automodule:: datadog_api_client.v1.model.content_encoding
   :members:
   :show-inheritance:

creator
-------

.. automodule:: datadog_api_client.v1.model.creator
   :members:
   :show-inheritance:

dashboard
---------

.. automodule:: datadog_api_client.v1.model.dashboard
   :members:
   :show-inheritance:

dashboard\_bulk\_action\_data
-----------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_bulk_action_data
   :members:
   :show-inheritance:

dashboard\_bulk\_action\_data\_list
-----------------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_bulk_action_data_list
   :members:
   :show-inheritance:

dashboard\_bulk\_delete\_request
--------------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_bulk_delete_request
   :members:
   :show-inheritance:

dashboard\_delete\_response
---------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_delete_response
   :members:
   :show-inheritance:

dashboard\_layout\_type
-----------------------

.. automodule:: datadog_api_client.v1.model.dashboard_layout_type
   :members:
   :show-inheritance:

dashboard\_list
---------------

.. automodule:: datadog_api_client.v1.model.dashboard_list
   :members:
   :show-inheritance:

dashboard\_list\_delete\_response
---------------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_list_delete_response
   :members:
   :show-inheritance:

dashboard\_list\_list\_response
-------------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_list_list_response
   :members:
   :show-inheritance:

dashboard\_reflow\_type
-----------------------

.. automodule:: datadog_api_client.v1.model.dashboard_reflow_type
   :members:
   :show-inheritance:

dashboard\_resource\_type
-------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_resource_type
   :members:
   :show-inheritance:

dashboard\_restore\_request
---------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_restore_request
   :members:
   :show-inheritance:

dashboard\_summary
------------------

.. automodule:: datadog_api_client.v1.model.dashboard_summary
   :members:
   :show-inheritance:

dashboard\_summary\_definition
------------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_summary_definition
   :members:
   :show-inheritance:

dashboard\_template\_variable
-----------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_template_variable
   :members:
   :show-inheritance:

dashboard\_template\_variable\_preset
-------------------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_template_variable_preset
   :members:
   :show-inheritance:

dashboard\_template\_variable\_preset\_value
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.dashboard_template_variable_preset_value
   :members:
   :show-inheritance:

deleted\_monitor
----------------

.. automodule:: datadog_api_client.v1.model.deleted_monitor
   :members:
   :show-inheritance:

distribution\_point
-------------------

.. automodule:: datadog_api_client.v1.model.distribution_point
   :members:
   :show-inheritance:

distribution\_points\_content\_encoding
---------------------------------------

.. automodule:: datadog_api_client.v1.model.distribution_points_content_encoding
   :members:
   :show-inheritance:

distribution\_points\_payload
-----------------------------

.. automodule:: datadog_api_client.v1.model.distribution_points_payload
   :members:
   :show-inheritance:

distribution\_points\_series
----------------------------

.. automodule:: datadog_api_client.v1.model.distribution_points_series
   :members:
   :show-inheritance:

distribution\_points\_type
--------------------------

.. automodule:: datadog_api_client.v1.model.distribution_points_type
   :members:
   :show-inheritance:

distribution\_widget\_definition
--------------------------------

.. automodule:: datadog_api_client.v1.model.distribution_widget_definition
   :members:
   :show-inheritance:

distribution\_widget\_definition\_type
--------------------------------------

.. automodule:: datadog_api_client.v1.model.distribution_widget_definition_type
   :members:
   :show-inheritance:

distribution\_widget\_histogram\_request\_query
-----------------------------------------------

.. automodule:: datadog_api_client.v1.model.distribution_widget_histogram_request_query
   :members:
   :show-inheritance:

distribution\_widget\_histogram\_request\_type
----------------------------------------------

.. automodule:: datadog_api_client.v1.model.distribution_widget_histogram_request_type
   :members:
   :show-inheritance:

distribution\_widget\_request
-----------------------------

.. automodule:: datadog_api_client.v1.model.distribution_widget_request
   :members:
   :show-inheritance:

distribution\_widget\_x\_axis
-----------------------------

.. automodule:: datadog_api_client.v1.model.distribution_widget_x_axis
   :members:
   :show-inheritance:

distribution\_widget\_y\_axis
-----------------------------

.. automodule:: datadog_api_client.v1.model.distribution_widget_y_axis
   :members:
   :show-inheritance:

downtime
--------

.. automodule:: datadog_api_client.v1.model.downtime
   :members:
   :show-inheritance:

downtime\_child
---------------

.. automodule:: datadog_api_client.v1.model.downtime_child
   :members:
   :show-inheritance:

downtime\_recurrence
--------------------

.. automodule:: datadog_api_client.v1.model.downtime_recurrence
   :members:
   :show-inheritance:

event
-----

.. automodule:: datadog_api_client.v1.model.event
   :members:
   :show-inheritance:

event\_alert\_type
------------------

.. automodule:: datadog_api_client.v1.model.event_alert_type
   :members:
   :show-inheritance:

event\_create\_request
----------------------

.. automodule:: datadog_api_client.v1.model.event_create_request
   :members:
   :show-inheritance:

event\_create\_response
-----------------------

.. automodule:: datadog_api_client.v1.model.event_create_response
   :members:
   :show-inheritance:

event\_list\_response
---------------------

.. automodule:: datadog_api_client.v1.model.event_list_response
   :members:
   :show-inheritance:

event\_priority
---------------

.. automodule:: datadog_api_client.v1.model.event_priority
   :members:
   :show-inheritance:

event\_query\_definition
------------------------

.. automodule:: datadog_api_client.v1.model.event_query_definition
   :members:
   :show-inheritance:

event\_response
---------------

.. automodule:: datadog_api_client.v1.model.event_response
   :members:
   :show-inheritance:

event\_stream\_widget\_definition
---------------------------------

.. automodule:: datadog_api_client.v1.model.event_stream_widget_definition
   :members:
   :show-inheritance:

event\_stream\_widget\_definition\_type
---------------------------------------

.. automodule:: datadog_api_client.v1.model.event_stream_widget_definition_type
   :members:
   :show-inheritance:

event\_timeline\_widget\_definition
-----------------------------------

.. automodule:: datadog_api_client.v1.model.event_timeline_widget_definition
   :members:
   :show-inheritance:

event\_timeline\_widget\_definition\_type
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.event_timeline_widget_definition_type
   :members:
   :show-inheritance:

formula\_and\_function\_apm\_dependency\_stat\_name
---------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_apm_dependency_stat_name
   :members:
   :show-inheritance:

formula\_and\_function\_apm\_dependency\_stats\_data\_source
------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_apm_dependency_stats_data_source
   :members:
   :show-inheritance:

formula\_and\_function\_apm\_dependency\_stats\_query\_definition
-----------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_apm_dependency_stats_query_definition
   :members:
   :show-inheritance:

formula\_and\_function\_apm\_resource\_stat\_name
-------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_apm_resource_stat_name
   :members:
   :show-inheritance:

formula\_and\_function\_apm\_resource\_stats\_data\_source
----------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_apm_resource_stats_data_source
   :members:
   :show-inheritance:

formula\_and\_function\_apm\_resource\_stats\_query\_definition
---------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_apm_resource_stats_query_definition
   :members:
   :show-inheritance:

formula\_and\_function\_event\_aggregation
------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_event_aggregation
   :members:
   :show-inheritance:

formula\_and\_function\_event\_query\_definition
------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_event_query_definition
   :members:
   :show-inheritance:

formula\_and\_function\_event\_query\_definition\_compute
---------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_event_query_definition_compute
   :members:
   :show-inheritance:

formula\_and\_function\_event\_query\_definition\_search
--------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_event_query_definition_search
   :members:
   :show-inheritance:

formula\_and\_function\_event\_query\_group\_by
-----------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_event_query_group_by
   :members:
   :show-inheritance:

formula\_and\_function\_event\_query\_group\_by\_sort
-----------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_event_query_group_by_sort
   :members:
   :show-inheritance:

formula\_and\_function\_events\_data\_source
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_events_data_source
   :members:
   :show-inheritance:

formula\_and\_function\_metric\_aggregation
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_metric_aggregation
   :members:
   :show-inheritance:

formula\_and\_function\_metric\_data\_source
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_metric_data_source
   :members:
   :show-inheritance:

formula\_and\_function\_metric\_query\_definition
-------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_metric_query_definition
   :members:
   :show-inheritance:

formula\_and\_function\_process\_query\_data\_source
----------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_process_query_data_source
   :members:
   :show-inheritance:

formula\_and\_function\_process\_query\_definition
--------------------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_process_query_definition
   :members:
   :show-inheritance:

formula\_and\_function\_query\_definition
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_query_definition
   :members:
   :show-inheritance:

formula\_and\_function\_response\_format
----------------------------------------

.. automodule:: datadog_api_client.v1.model.formula_and_function_response_format
   :members:
   :show-inheritance:

free\_text\_widget\_definition
------------------------------

.. automodule:: datadog_api_client.v1.model.free_text_widget_definition
   :members:
   :show-inheritance:

free\_text\_widget\_definition\_type
------------------------------------

.. automodule:: datadog_api_client.v1.model.free_text_widget_definition_type
   :members:
   :show-inheritance:

funnel\_query
-------------

.. automodule:: datadog_api_client.v1.model.funnel_query
   :members:
   :show-inheritance:

funnel\_request\_type
---------------------

.. automodule:: datadog_api_client.v1.model.funnel_request_type
   :members:
   :show-inheritance:

funnel\_source
--------------

.. automodule:: datadog_api_client.v1.model.funnel_source
   :members:
   :show-inheritance:

funnel\_step
------------

.. automodule:: datadog_api_client.v1.model.funnel_step
   :members:
   :show-inheritance:

funnel\_widget\_definition
--------------------------

.. automodule:: datadog_api_client.v1.model.funnel_widget_definition
   :members:
   :show-inheritance:

funnel\_widget\_definition\_type
--------------------------------

.. automodule:: datadog_api_client.v1.model.funnel_widget_definition_type
   :members:
   :show-inheritance:

funnel\_widget\_request
-----------------------

.. automodule:: datadog_api_client.v1.model.funnel_widget_request
   :members:
   :show-inheritance:

gcp\_account
------------

.. automodule:: datadog_api_client.v1.model.gcp_account
   :members:
   :show-inheritance:

gcp\_account\_list\_response
----------------------------

.. automodule:: datadog_api_client.v1.model.gcp_account_list_response
   :members:
   :show-inheritance:

geomap\_widget\_definition
--------------------------

.. automodule:: datadog_api_client.v1.model.geomap_widget_definition
   :members:
   :show-inheritance:

geomap\_widget\_definition\_style
---------------------------------

.. automodule:: datadog_api_client.v1.model.geomap_widget_definition_style
   :members:
   :show-inheritance:

geomap\_widget\_definition\_type
--------------------------------

.. automodule:: datadog_api_client.v1.model.geomap_widget_definition_type
   :members:
   :show-inheritance:

geomap\_widget\_definition\_view
--------------------------------

.. automodule:: datadog_api_client.v1.model.geomap_widget_definition_view
   :members:
   :show-inheritance:

geomap\_widget\_request
-----------------------

.. automodule:: datadog_api_client.v1.model.geomap_widget_request
   :members:
   :show-inheritance:

graph\_snapshot
---------------

.. automodule:: datadog_api_client.v1.model.graph_snapshot
   :members:
   :show-inheritance:

group\_widget\_definition
-------------------------

.. automodule:: datadog_api_client.v1.model.group_widget_definition
   :members:
   :show-inheritance:

group\_widget\_definition\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.group_widget_definition_type
   :members:
   :show-inheritance:

heat\_map\_widget\_definition
-----------------------------

.. automodule:: datadog_api_client.v1.model.heat_map_widget_definition
   :members:
   :show-inheritance:

heat\_map\_widget\_definition\_type
-----------------------------------

.. automodule:: datadog_api_client.v1.model.heat_map_widget_definition_type
   :members:
   :show-inheritance:

heat\_map\_widget\_request
--------------------------

.. automodule:: datadog_api_client.v1.model.heat_map_widget_request
   :members:
   :show-inheritance:

host
----

.. automodule:: datadog_api_client.v1.model.host
   :members:
   :show-inheritance:

host\_list\_response
--------------------

.. automodule:: datadog_api_client.v1.model.host_list_response
   :members:
   :show-inheritance:

host\_map\_request
------------------

.. automodule:: datadog_api_client.v1.model.host_map_request
   :members:
   :show-inheritance:

host\_map\_widget\_definition
-----------------------------

.. automodule:: datadog_api_client.v1.model.host_map_widget_definition
   :members:
   :show-inheritance:

host\_map\_widget\_definition\_requests
---------------------------------------

.. automodule:: datadog_api_client.v1.model.host_map_widget_definition_requests
   :members:
   :show-inheritance:

host\_map\_widget\_definition\_style
------------------------------------

.. automodule:: datadog_api_client.v1.model.host_map_widget_definition_style
   :members:
   :show-inheritance:

host\_map\_widget\_definition\_type
-----------------------------------

.. automodule:: datadog_api_client.v1.model.host_map_widget_definition_type
   :members:
   :show-inheritance:

host\_meta
----------

.. automodule:: datadog_api_client.v1.model.host_meta
   :members:
   :show-inheritance:

host\_meta\_install\_method
---------------------------

.. automodule:: datadog_api_client.v1.model.host_meta_install_method
   :members:
   :show-inheritance:

host\_metrics
-------------

.. automodule:: datadog_api_client.v1.model.host_metrics
   :members:
   :show-inheritance:

host\_mute\_response
--------------------

.. automodule:: datadog_api_client.v1.model.host_mute_response
   :members:
   :show-inheritance:

host\_mute\_settings
--------------------

.. automodule:: datadog_api_client.v1.model.host_mute_settings
   :members:
   :show-inheritance:

host\_tags
----------

.. automodule:: datadog_api_client.v1.model.host_tags
   :members:
   :show-inheritance:

host\_totals
------------

.. automodule:: datadog_api_client.v1.model.host_totals
   :members:
   :show-inheritance:

hourly\_usage\_attribution\_body
--------------------------------

.. automodule:: datadog_api_client.v1.model.hourly_usage_attribution_body
   :members:
   :show-inheritance:

hourly\_usage\_attribution\_metadata
------------------------------------

.. automodule:: datadog_api_client.v1.model.hourly_usage_attribution_metadata
   :members:
   :show-inheritance:

hourly\_usage\_attribution\_pagination
--------------------------------------

.. automodule:: datadog_api_client.v1.model.hourly_usage_attribution_pagination
   :members:
   :show-inheritance:

hourly\_usage\_attribution\_response
------------------------------------

.. automodule:: datadog_api_client.v1.model.hourly_usage_attribution_response
   :members:
   :show-inheritance:

hourly\_usage\_attribution\_usage\_type
---------------------------------------

.. automodule:: datadog_api_client.v1.model.hourly_usage_attribution_usage_type
   :members:
   :show-inheritance:

http\_log
---------

.. automodule:: datadog_api_client.v1.model.http_log
   :members:
   :show-inheritance:

http\_log\_error
----------------

.. automodule:: datadog_api_client.v1.model.http_log_error
   :members:
   :show-inheritance:

http\_log\_item
---------------

.. automodule:: datadog_api_client.v1.model.http_log_item
   :members:
   :show-inheritance:

http\_method
------------

.. automodule:: datadog_api_client.v1.model.http_method
   :members:
   :show-inheritance:

i\_frame\_widget\_definition
----------------------------

.. automodule:: datadog_api_client.v1.model.i_frame_widget_definition
   :members:
   :show-inheritance:

i\_frame\_widget\_definition\_type
----------------------------------

.. automodule:: datadog_api_client.v1.model.i_frame_widget_definition_type
   :members:
   :show-inheritance:

idp\_form\_data
---------------

.. automodule:: datadog_api_client.v1.model.idp_form_data
   :members:
   :show-inheritance:

idp\_response
-------------

.. automodule:: datadog_api_client.v1.model.idp_response
   :members:
   :show-inheritance:

image\_widget\_definition
-------------------------

.. automodule:: datadog_api_client.v1.model.image_widget_definition
   :members:
   :show-inheritance:

image\_widget\_definition\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.image_widget_definition_type
   :members:
   :show-inheritance:

intake\_payload\_accepted
-------------------------

.. automodule:: datadog_api_client.v1.model.intake_payload_accepted
   :members:
   :show-inheritance:

ip\_prefixes\_agents
--------------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_agents
   :members:
   :show-inheritance:

ip\_prefixes\_api
-----------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_api
   :members:
   :show-inheritance:

ip\_prefixes\_apm
-----------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_apm
   :members:
   :show-inheritance:

ip\_prefixes\_logs
------------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_logs
   :members:
   :show-inheritance:

ip\_prefixes\_process
---------------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_process
   :members:
   :show-inheritance:

ip\_prefixes\_synthetics
------------------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_synthetics
   :members:
   :show-inheritance:

ip\_prefixes\_synthetics\_private\_locations
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_synthetics_private_locations
   :members:
   :show-inheritance:

ip\_prefixes\_webhooks
----------------------

.. automodule:: datadog_api_client.v1.model.ip_prefixes_webhooks
   :members:
   :show-inheritance:

ip\_ranges
----------

.. automodule:: datadog_api_client.v1.model.ip_ranges
   :members:
   :show-inheritance:

list\_stream\_column
--------------------

.. automodule:: datadog_api_client.v1.model.list_stream_column
   :members:
   :show-inheritance:

list\_stream\_column\_width
---------------------------

.. automodule:: datadog_api_client.v1.model.list_stream_column_width
   :members:
   :show-inheritance:

list\_stream\_query
-------------------

.. automodule:: datadog_api_client.v1.model.list_stream_query
   :members:
   :show-inheritance:

list\_stream\_response\_format
------------------------------

.. automodule:: datadog_api_client.v1.model.list_stream_response_format
   :members:
   :show-inheritance:

list\_stream\_source
--------------------

.. automodule:: datadog_api_client.v1.model.list_stream_source
   :members:
   :show-inheritance:

list\_stream\_widget\_definition
--------------------------------

.. automodule:: datadog_api_client.v1.model.list_stream_widget_definition
   :members:
   :show-inheritance:

list\_stream\_widget\_definition\_type
--------------------------------------

.. automodule:: datadog_api_client.v1.model.list_stream_widget_definition_type
   :members:
   :show-inheritance:

list\_stream\_widget\_request
-----------------------------

.. automodule:: datadog_api_client.v1.model.list_stream_widget_request
   :members:
   :show-inheritance:

log
---

.. automodule:: datadog_api_client.v1.model.log
   :members:
   :show-inheritance:

log\_content
------------

.. automodule:: datadog_api_client.v1.model.log_content
   :members:
   :show-inheritance:

log\_query\_definition
----------------------

.. automodule:: datadog_api_client.v1.model.log_query_definition
   :members:
   :show-inheritance:

log\_query\_definition\_group\_by
---------------------------------

.. automodule:: datadog_api_client.v1.model.log_query_definition_group_by
   :members:
   :show-inheritance:

log\_query\_definition\_group\_by\_sort
---------------------------------------

.. automodule:: datadog_api_client.v1.model.log_query_definition_group_by_sort
   :members:
   :show-inheritance:

log\_query\_definition\_search
------------------------------

.. automodule:: datadog_api_client.v1.model.log_query_definition_search
   :members:
   :show-inheritance:

log\_stream\_widget\_definition
-------------------------------

.. automodule:: datadog_api_client.v1.model.log_stream_widget_definition
   :members:
   :show-inheritance:

log\_stream\_widget\_definition\_type
-------------------------------------

.. automodule:: datadog_api_client.v1.model.log_stream_widget_definition_type
   :members:
   :show-inheritance:

logs\_api\_error
----------------

.. automodule:: datadog_api_client.v1.model.logs_api_error
   :members:
   :show-inheritance:

logs\_api\_error\_response
--------------------------

.. automodule:: datadog_api_client.v1.model.logs_api_error_response
   :members:
   :show-inheritance:

logs\_arithmetic\_processor
---------------------------

.. automodule:: datadog_api_client.v1.model.logs_arithmetic_processor
   :members:
   :show-inheritance:

logs\_arithmetic\_processor\_type
---------------------------------

.. automodule:: datadog_api_client.v1.model.logs_arithmetic_processor_type
   :members:
   :show-inheritance:

logs\_attribute\_remapper
-------------------------

.. automodule:: datadog_api_client.v1.model.logs_attribute_remapper
   :members:
   :show-inheritance:

logs\_attribute\_remapper\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.logs_attribute_remapper_type
   :members:
   :show-inheritance:

logs\_by\_retention
-------------------

.. automodule:: datadog_api_client.v1.model.logs_by_retention
   :members:
   :show-inheritance:

logs\_by\_retention\_monthly\_usage
-----------------------------------

.. automodule:: datadog_api_client.v1.model.logs_by_retention_monthly_usage
   :members:
   :show-inheritance:

logs\_by\_retention\_org\_usage
-------------------------------

.. automodule:: datadog_api_client.v1.model.logs_by_retention_org_usage
   :members:
   :show-inheritance:

logs\_by\_retention\_orgs
-------------------------

.. automodule:: datadog_api_client.v1.model.logs_by_retention_orgs
   :members:
   :show-inheritance:

logs\_category\_processor
-------------------------

.. automodule:: datadog_api_client.v1.model.logs_category_processor
   :members:
   :show-inheritance:

logs\_category\_processor\_category
-----------------------------------

.. automodule:: datadog_api_client.v1.model.logs_category_processor_category
   :members:
   :show-inheritance:

logs\_category\_processor\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.logs_category_processor_type
   :members:
   :show-inheritance:

logs\_date\_remapper
--------------------

.. automodule:: datadog_api_client.v1.model.logs_date_remapper
   :members:
   :show-inheritance:

logs\_date\_remapper\_type
--------------------------

.. automodule:: datadog_api_client.v1.model.logs_date_remapper_type
   :members:
   :show-inheritance:

logs\_exclusion
---------------

.. automodule:: datadog_api_client.v1.model.logs_exclusion
   :members:
   :show-inheritance:

logs\_exclusion\_filter
-----------------------

.. automodule:: datadog_api_client.v1.model.logs_exclusion_filter
   :members:
   :show-inheritance:

logs\_filter
------------

.. automodule:: datadog_api_client.v1.model.logs_filter
   :members:
   :show-inheritance:

logs\_geo\_ip\_parser
---------------------

.. automodule:: datadog_api_client.v1.model.logs_geo_ip_parser
   :members:
   :show-inheritance:

logs\_geo\_ip\_parser\_type
---------------------------

.. automodule:: datadog_api_client.v1.model.logs_geo_ip_parser_type
   :members:
   :show-inheritance:

logs\_grok\_parser
------------------

.. automodule:: datadog_api_client.v1.model.logs_grok_parser
   :members:
   :show-inheritance:

logs\_grok\_parser\_rules
-------------------------

.. automodule:: datadog_api_client.v1.model.logs_grok_parser_rules
   :members:
   :show-inheritance:

logs\_grok\_parser\_type
------------------------

.. automodule:: datadog_api_client.v1.model.logs_grok_parser_type
   :members:
   :show-inheritance:

logs\_index
-----------

.. automodule:: datadog_api_client.v1.model.logs_index
   :members:
   :show-inheritance:

logs\_index\_list\_response
---------------------------

.. automodule:: datadog_api_client.v1.model.logs_index_list_response
   :members:
   :show-inheritance:

logs\_index\_update\_request
----------------------------

.. automodule:: datadog_api_client.v1.model.logs_index_update_request
   :members:
   :show-inheritance:

logs\_indexes\_order
--------------------

.. automodule:: datadog_api_client.v1.model.logs_indexes_order
   :members:
   :show-inheritance:

logs\_list\_request
-------------------

.. automodule:: datadog_api_client.v1.model.logs_list_request
   :members:
   :show-inheritance:

logs\_list\_request\_time
-------------------------

.. automodule:: datadog_api_client.v1.model.logs_list_request_time
   :members:
   :show-inheritance:

logs\_list\_response
--------------------

.. automodule:: datadog_api_client.v1.model.logs_list_response
   :members:
   :show-inheritance:

logs\_lookup\_processor
-----------------------

.. automodule:: datadog_api_client.v1.model.logs_lookup_processor
   :members:
   :show-inheritance:

logs\_lookup\_processor\_type
-----------------------------

.. automodule:: datadog_api_client.v1.model.logs_lookup_processor_type
   :members:
   :show-inheritance:

logs\_message\_remapper
-----------------------

.. automodule:: datadog_api_client.v1.model.logs_message_remapper
   :members:
   :show-inheritance:

logs\_message\_remapper\_type
-----------------------------

.. automodule:: datadog_api_client.v1.model.logs_message_remapper_type
   :members:
   :show-inheritance:

logs\_pipeline
--------------

.. automodule:: datadog_api_client.v1.model.logs_pipeline
   :members:
   :show-inheritance:

logs\_pipeline\_list
--------------------

.. automodule:: datadog_api_client.v1.model.logs_pipeline_list
   :members:
   :show-inheritance:

logs\_pipeline\_processor
-------------------------

.. automodule:: datadog_api_client.v1.model.logs_pipeline_processor
   :members:
   :show-inheritance:

logs\_pipeline\_processor\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.logs_pipeline_processor_type
   :members:
   :show-inheritance:

logs\_pipelines\_order
----------------------

.. automodule:: datadog_api_client.v1.model.logs_pipelines_order
   :members:
   :show-inheritance:

logs\_processor
---------------

.. automodule:: datadog_api_client.v1.model.logs_processor
   :members:
   :show-inheritance:

logs\_query\_compute
--------------------

.. automodule:: datadog_api_client.v1.model.logs_query_compute
   :members:
   :show-inheritance:

logs\_retention\_agg\_sum\_usage
--------------------------------

.. automodule:: datadog_api_client.v1.model.logs_retention_agg_sum_usage
   :members:
   :show-inheritance:

logs\_retention\_sum\_usage
---------------------------

.. automodule:: datadog_api_client.v1.model.logs_retention_sum_usage
   :members:
   :show-inheritance:

logs\_service\_remapper
-----------------------

.. automodule:: datadog_api_client.v1.model.logs_service_remapper
   :members:
   :show-inheritance:

logs\_service\_remapper\_type
-----------------------------

.. automodule:: datadog_api_client.v1.model.logs_service_remapper_type
   :members:
   :show-inheritance:

logs\_sort
----------

.. automodule:: datadog_api_client.v1.model.logs_sort
   :members:
   :show-inheritance:

logs\_status\_remapper
----------------------

.. automodule:: datadog_api_client.v1.model.logs_status_remapper
   :members:
   :show-inheritance:

logs\_status\_remapper\_type
----------------------------

.. automodule:: datadog_api_client.v1.model.logs_status_remapper_type
   :members:
   :show-inheritance:

logs\_string\_builder\_processor
--------------------------------

.. automodule:: datadog_api_client.v1.model.logs_string_builder_processor
   :members:
   :show-inheritance:

logs\_string\_builder\_processor\_type
--------------------------------------

.. automodule:: datadog_api_client.v1.model.logs_string_builder_processor_type
   :members:
   :show-inheritance:

logs\_trace\_remapper
---------------------

.. automodule:: datadog_api_client.v1.model.logs_trace_remapper
   :members:
   :show-inheritance:

logs\_trace\_remapper\_type
---------------------------

.. automodule:: datadog_api_client.v1.model.logs_trace_remapper_type
   :members:
   :show-inheritance:

logs\_url\_parser
-----------------

.. automodule:: datadog_api_client.v1.model.logs_url_parser
   :members:
   :show-inheritance:

logs\_url\_parser\_type
-----------------------

.. automodule:: datadog_api_client.v1.model.logs_url_parser_type
   :members:
   :show-inheritance:

logs\_user\_agent\_parser
-------------------------

.. automodule:: datadog_api_client.v1.model.logs_user_agent_parser
   :members:
   :show-inheritance:

logs\_user\_agent\_parser\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.logs_user_agent_parser_type
   :members:
   :show-inheritance:

metric\_content\_encoding
-------------------------

.. automodule:: datadog_api_client.v1.model.metric_content_encoding
   :members:
   :show-inheritance:

metric\_metadata
----------------

.. automodule:: datadog_api_client.v1.model.metric_metadata
   :members:
   :show-inheritance:

metric\_search\_response
------------------------

.. automodule:: datadog_api_client.v1.model.metric_search_response
   :members:
   :show-inheritance:

metric\_search\_response\_results
---------------------------------

.. automodule:: datadog_api_client.v1.model.metric_search_response_results
   :members:
   :show-inheritance:

metrics\_list\_response
-----------------------

.. automodule:: datadog_api_client.v1.model.metrics_list_response
   :members:
   :show-inheritance:

metrics\_payload
----------------

.. automodule:: datadog_api_client.v1.model.metrics_payload
   :members:
   :show-inheritance:

metrics\_query\_metadata
------------------------

.. automodule:: datadog_api_client.v1.model.metrics_query_metadata
   :members:
   :show-inheritance:

metrics\_query\_response
------------------------

.. automodule:: datadog_api_client.v1.model.metrics_query_response
   :members:
   :show-inheritance:

metrics\_query\_unit
--------------------

.. automodule:: datadog_api_client.v1.model.metrics_query_unit
   :members:
   :show-inheritance:

monitor
-------

.. automodule:: datadog_api_client.v1.model.monitor
   :members:
   :show-inheritance:

monitor\_device\_id
-------------------

.. automodule:: datadog_api_client.v1.model.monitor_device_id
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_event\_aggregation
---------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_event_aggregation
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_event\_query\_definition
---------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_event_query_definition
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_event\_query\_definition\_compute
------------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_event_query_definition_compute
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_event\_query\_definition\_search
-----------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_event_query_definition_search
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_event\_query\_group\_by
--------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_event_query_group_by
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_event\_query\_group\_by\_sort
--------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_event_query_group_by_sort
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_events\_data\_source
-----------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_events_data_source
   :members:
   :show-inheritance:

monitor\_formula\_and\_function\_query\_definition
--------------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_formula_and_function_query_definition
   :members:
   :show-inheritance:

monitor\_group\_search\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_group_search_response
   :members:
   :show-inheritance:

monitor\_group\_search\_response\_counts
----------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_group_search_response_counts
   :members:
   :show-inheritance:

monitor\_group\_search\_result
------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_group_search_result
   :members:
   :show-inheritance:

monitor\_options
----------------

.. automodule:: datadog_api_client.v1.model.monitor_options
   :members:
   :show-inheritance:

monitor\_options\_aggregation
-----------------------------

.. automodule:: datadog_api_client.v1.model.monitor_options_aggregation
   :members:
   :show-inheritance:

monitor\_overall\_states
------------------------

.. automodule:: datadog_api_client.v1.model.monitor_overall_states
   :members:
   :show-inheritance:

monitor\_renotify\_status\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_renotify_status_type
   :members:
   :show-inheritance:

monitor\_search\_count
----------------------

.. automodule:: datadog_api_client.v1.model.monitor_search_count
   :members:
   :show-inheritance:

monitor\_search\_response
-------------------------

.. automodule:: datadog_api_client.v1.model.monitor_search_response
   :members:
   :show-inheritance:

monitor\_search\_response\_counts
---------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_search_response_counts
   :members:
   :show-inheritance:

monitor\_search\_response\_metadata
-----------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_search_response_metadata
   :members:
   :show-inheritance:

monitor\_search\_result
-----------------------

.. automodule:: datadog_api_client.v1.model.monitor_search_result
   :members:
   :show-inheritance:

monitor\_search\_result\_notification
-------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_search_result_notification
   :members:
   :show-inheritance:

monitor\_state
--------------

.. automodule:: datadog_api_client.v1.model.monitor_state
   :members:
   :show-inheritance:

monitor\_state\_group
---------------------

.. automodule:: datadog_api_client.v1.model.monitor_state_group
   :members:
   :show-inheritance:

monitor\_summary\_widget\_definition
------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_summary_widget_definition
   :members:
   :show-inheritance:

monitor\_summary\_widget\_definition\_type
------------------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_summary_widget_definition_type
   :members:
   :show-inheritance:

monitor\_threshold\_window\_options
-----------------------------------

.. automodule:: datadog_api_client.v1.model.monitor_threshold_window_options
   :members:
   :show-inheritance:

monitor\_thresholds
-------------------

.. automodule:: datadog_api_client.v1.model.monitor_thresholds
   :members:
   :show-inheritance:

monitor\_type
-------------

.. automodule:: datadog_api_client.v1.model.monitor_type
   :members:
   :show-inheritance:

monitor\_update\_request
------------------------

.. automodule:: datadog_api_client.v1.model.monitor_update_request
   :members:
   :show-inheritance:

monthly\_usage\_attribution\_body
---------------------------------

.. automodule:: datadog_api_client.v1.model.monthly_usage_attribution_body
   :members:
   :show-inheritance:

monthly\_usage\_attribution\_metadata
-------------------------------------

.. automodule:: datadog_api_client.v1.model.monthly_usage_attribution_metadata
   :members:
   :show-inheritance:

monthly\_usage\_attribution\_pagination
---------------------------------------

.. automodule:: datadog_api_client.v1.model.monthly_usage_attribution_pagination
   :members:
   :show-inheritance:

monthly\_usage\_attribution\_response
-------------------------------------

.. automodule:: datadog_api_client.v1.model.monthly_usage_attribution_response
   :members:
   :show-inheritance:

monthly\_usage\_attribution\_supported\_metrics
-----------------------------------------------

.. automodule:: datadog_api_client.v1.model.monthly_usage_attribution_supported_metrics
   :members:
   :show-inheritance:

monthly\_usage\_attribution\_values
-----------------------------------

.. automodule:: datadog_api_client.v1.model.monthly_usage_attribution_values
   :members:
   :show-inheritance:

note\_widget\_definition
------------------------

.. automodule:: datadog_api_client.v1.model.note_widget_definition
   :members:
   :show-inheritance:

note\_widget\_definition\_type
------------------------------

.. automodule:: datadog_api_client.v1.model.note_widget_definition_type
   :members:
   :show-inheritance:

notebook\_absolute\_time
------------------------

.. automodule:: datadog_api_client.v1.model.notebook_absolute_time
   :members:
   :show-inheritance:

notebook\_author
----------------

.. automodule:: datadog_api_client.v1.model.notebook_author
   :members:
   :show-inheritance:

notebook\_cell\_create\_request
-------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_create_request
   :members:
   :show-inheritance:

notebook\_cell\_create\_request\_attributes
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_create_request_attributes
   :members:
   :show-inheritance:

notebook\_cell\_resource\_type
------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_resource_type
   :members:
   :show-inheritance:

notebook\_cell\_response
------------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_response
   :members:
   :show-inheritance:

notebook\_cell\_response\_attributes
------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_response_attributes
   :members:
   :show-inheritance:

notebook\_cell\_time
--------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_time
   :members:
   :show-inheritance:

notebook\_cell\_update\_request
-------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_update_request
   :members:
   :show-inheritance:

notebook\_cell\_update\_request\_attributes
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_cell_update_request_attributes
   :members:
   :show-inheritance:

notebook\_create\_data
----------------------

.. automodule:: datadog_api_client.v1.model.notebook_create_data
   :members:
   :show-inheritance:

notebook\_create\_data\_attributes
----------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_create_data_attributes
   :members:
   :show-inheritance:

notebook\_create\_request
-------------------------

.. automodule:: datadog_api_client.v1.model.notebook_create_request
   :members:
   :show-inheritance:

notebook\_distribution\_cell\_attributes
----------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_distribution_cell_attributes
   :members:
   :show-inheritance:

notebook\_global\_time
----------------------

.. automodule:: datadog_api_client.v1.model.notebook_global_time
   :members:
   :show-inheritance:

notebook\_graph\_size
---------------------

.. automodule:: datadog_api_client.v1.model.notebook_graph_size
   :members:
   :show-inheritance:

notebook\_heat\_map\_cell\_attributes
-------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_heat_map_cell_attributes
   :members:
   :show-inheritance:

notebook\_log\_stream\_cell\_attributes
---------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_log_stream_cell_attributes
   :members:
   :show-inheritance:

notebook\_markdown\_cell\_attributes
------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_markdown_cell_attributes
   :members:
   :show-inheritance:

notebook\_markdown\_cell\_definition
------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_markdown_cell_definition
   :members:
   :show-inheritance:

notebook\_markdown\_cell\_definition\_type
------------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_markdown_cell_definition_type
   :members:
   :show-inheritance:

notebook\_metadata
------------------

.. automodule:: datadog_api_client.v1.model.notebook_metadata
   :members:
   :show-inheritance:

notebook\_metadata\_type
------------------------

.. automodule:: datadog_api_client.v1.model.notebook_metadata_type
   :members:
   :show-inheritance:

notebook\_relative\_time
------------------------

.. automodule:: datadog_api_client.v1.model.notebook_relative_time
   :members:
   :show-inheritance:

notebook\_resource\_type
------------------------

.. automodule:: datadog_api_client.v1.model.notebook_resource_type
   :members:
   :show-inheritance:

notebook\_response
------------------

.. automodule:: datadog_api_client.v1.model.notebook_response
   :members:
   :show-inheritance:

notebook\_response\_data
------------------------

.. automodule:: datadog_api_client.v1.model.notebook_response_data
   :members:
   :show-inheritance:

notebook\_response\_data\_attributes
------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_response_data_attributes
   :members:
   :show-inheritance:

notebook\_split\_by
-------------------

.. automodule:: datadog_api_client.v1.model.notebook_split_by
   :members:
   :show-inheritance:

notebook\_status
----------------

.. automodule:: datadog_api_client.v1.model.notebook_status
   :members:
   :show-inheritance:

notebook\_timeseries\_cell\_attributes
--------------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_timeseries_cell_attributes
   :members:
   :show-inheritance:

notebook\_toplist\_cell\_attributes
-----------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_toplist_cell_attributes
   :members:
   :show-inheritance:

notebook\_update\_cell
----------------------

.. automodule:: datadog_api_client.v1.model.notebook_update_cell
   :members:
   :show-inheritance:

notebook\_update\_data
----------------------

.. automodule:: datadog_api_client.v1.model.notebook_update_data
   :members:
   :show-inheritance:

notebook\_update\_data\_attributes
----------------------------------

.. automodule:: datadog_api_client.v1.model.notebook_update_data_attributes
   :members:
   :show-inheritance:

notebook\_update\_request
-------------------------

.. automodule:: datadog_api_client.v1.model.notebook_update_request
   :members:
   :show-inheritance:

notebooks\_response
-------------------

.. automodule:: datadog_api_client.v1.model.notebooks_response
   :members:
   :show-inheritance:

notebooks\_response\_data
-------------------------

.. automodule:: datadog_api_client.v1.model.notebooks_response_data
   :members:
   :show-inheritance:

notebooks\_response\_data\_attributes
-------------------------------------

.. automodule:: datadog_api_client.v1.model.notebooks_response_data_attributes
   :members:
   :show-inheritance:

notebooks\_response\_meta
-------------------------

.. automodule:: datadog_api_client.v1.model.notebooks_response_meta
   :members:
   :show-inheritance:

notebooks\_response\_page
-------------------------

.. automodule:: datadog_api_client.v1.model.notebooks_response_page
   :members:
   :show-inheritance:

org\_downgraded\_response
-------------------------

.. automodule:: datadog_api_client.v1.model.org_downgraded_response
   :members:
   :show-inheritance:

organization
------------

.. automodule:: datadog_api_client.v1.model.organization
   :members:
   :show-inheritance:

organization\_billing
---------------------

.. automodule:: datadog_api_client.v1.model.organization_billing
   :members:
   :show-inheritance:

organization\_create\_body
--------------------------

.. automodule:: datadog_api_client.v1.model.organization_create_body
   :members:
   :show-inheritance:

organization\_create\_response
------------------------------

.. automodule:: datadog_api_client.v1.model.organization_create_response
   :members:
   :show-inheritance:

organization\_list\_response
----------------------------

.. automodule:: datadog_api_client.v1.model.organization_list_response
   :members:
   :show-inheritance:

organization\_response
----------------------

.. automodule:: datadog_api_client.v1.model.organization_response
   :members:
   :show-inheritance:

organization\_settings
----------------------

.. automodule:: datadog_api_client.v1.model.organization_settings
   :members:
   :show-inheritance:

organization\_settings\_saml
----------------------------

.. automodule:: datadog_api_client.v1.model.organization_settings_saml
   :members:
   :show-inheritance:

organization\_settings\_saml\_autocreate\_users\_domains
--------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.organization_settings_saml_autocreate_users_domains
   :members:
   :show-inheritance:

organization\_settings\_saml\_idp\_initiated\_login
---------------------------------------------------

.. automodule:: datadog_api_client.v1.model.organization_settings_saml_idp_initiated_login
   :members:
   :show-inheritance:

organization\_settings\_saml\_strict\_mode
------------------------------------------

.. automodule:: datadog_api_client.v1.model.organization_settings_saml_strict_mode
   :members:
   :show-inheritance:

organization\_subscription
--------------------------

.. automodule:: datadog_api_client.v1.model.organization_subscription
   :members:
   :show-inheritance:

pager\_duty\_service
--------------------

.. automodule:: datadog_api_client.v1.model.pager_duty_service
   :members:
   :show-inheritance:

pager\_duty\_service\_key
-------------------------

.. automodule:: datadog_api_client.v1.model.pager_duty_service_key
   :members:
   :show-inheritance:

pager\_duty\_service\_name
--------------------------

.. automodule:: datadog_api_client.v1.model.pager_duty_service_name
   :members:
   :show-inheritance:

pagination
----------

.. automodule:: datadog_api_client.v1.model.pagination
   :members:
   :show-inheritance:

point
-----

.. automodule:: datadog_api_client.v1.model.point
   :members:
   :show-inheritance:

process\_query\_definition
--------------------------

.. automodule:: datadog_api_client.v1.model.process_query_definition
   :members:
   :show-inheritance:

query\_sort\_order
------------------

.. automodule:: datadog_api_client.v1.model.query_sort_order
   :members:
   :show-inheritance:

query\_value\_widget\_definition
--------------------------------

.. automodule:: datadog_api_client.v1.model.query_value_widget_definition
   :members:
   :show-inheritance:

query\_value\_widget\_definition\_type
--------------------------------------

.. automodule:: datadog_api_client.v1.model.query_value_widget_definition_type
   :members:
   :show-inheritance:

query\_value\_widget\_request
-----------------------------

.. automodule:: datadog_api_client.v1.model.query_value_widget_request
   :members:
   :show-inheritance:

response\_meta\_attributes
--------------------------

.. automodule:: datadog_api_client.v1.model.response_meta_attributes
   :members:
   :show-inheritance:

scatter\_plot\_request
----------------------

.. automodule:: datadog_api_client.v1.model.scatter_plot_request
   :members:
   :show-inheritance:

scatter\_plot\_widget\_definition
---------------------------------

.. automodule:: datadog_api_client.v1.model.scatter_plot_widget_definition
   :members:
   :show-inheritance:

scatter\_plot\_widget\_definition\_requests
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.scatter_plot_widget_definition_requests
   :members:
   :show-inheritance:

scatter\_plot\_widget\_definition\_type
---------------------------------------

.. automodule:: datadog_api_client.v1.model.scatter_plot_widget_definition_type
   :members:
   :show-inheritance:

scatterplot\_dimension
----------------------

.. automodule:: datadog_api_client.v1.model.scatterplot_dimension
   :members:
   :show-inheritance:

scatterplot\_table\_request
---------------------------

.. automodule:: datadog_api_client.v1.model.scatterplot_table_request
   :members:
   :show-inheritance:

scatterplot\_widget\_aggregator
-------------------------------

.. automodule:: datadog_api_client.v1.model.scatterplot_widget_aggregator
   :members:
   :show-inheritance:

scatterplot\_widget\_formula
----------------------------

.. automodule:: datadog_api_client.v1.model.scatterplot_widget_formula
   :members:
   :show-inheritance:

search\_slo\_response
---------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response
   :members:
   :show-inheritance:

search\_slo\_response\_data
---------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_data
   :members:
   :show-inheritance:

search\_slo\_response\_data\_attributes
---------------------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_data_attributes
   :members:
   :show-inheritance:

search\_slo\_response\_data\_attributes\_facets
-----------------------------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_data_attributes_facets
   :members:
   :show-inheritance:

search\_slo\_response\_data\_attributes\_facets\_object\_int
------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_data_attributes_facets_object_int
   :members:
   :show-inheritance:

search\_slo\_response\_data\_attributes\_facets\_object\_string
---------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_data_attributes_facets_object_string
   :members:
   :show-inheritance:

search\_slo\_response\_links
----------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_links
   :members:
   :show-inheritance:

search\_slo\_response\_meta
---------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_meta
   :members:
   :show-inheritance:

search\_slo\_response\_meta\_page
---------------------------------

.. automodule:: datadog_api_client.v1.model.search_slo_response_meta_page
   :members:
   :show-inheritance:

series
------

.. automodule:: datadog_api_client.v1.model.series
   :members:
   :show-inheritance:

service\_check
--------------

.. automodule:: datadog_api_client.v1.model.service_check
   :members:
   :show-inheritance:

service\_check\_status
----------------------

.. automodule:: datadog_api_client.v1.model.service_check_status
   :members:
   :show-inheritance:

service\_checks
---------------

.. automodule:: datadog_api_client.v1.model.service_checks
   :members:
   :show-inheritance:

service\_level\_objective
-------------------------

.. automodule:: datadog_api_client.v1.model.service_level_objective
   :members:
   :show-inheritance:

service\_level\_objective\_query
--------------------------------

.. automodule:: datadog_api_client.v1.model.service_level_objective_query
   :members:
   :show-inheritance:

service\_level\_objective\_request
----------------------------------

.. automodule:: datadog_api_client.v1.model.service_level_objective_request
   :members:
   :show-inheritance:

service\_map\_widget\_definition
--------------------------------

.. automodule:: datadog_api_client.v1.model.service_map_widget_definition
   :members:
   :show-inheritance:

service\_map\_widget\_definition\_type
--------------------------------------

.. automodule:: datadog_api_client.v1.model.service_map_widget_definition_type
   :members:
   :show-inheritance:

service\_summary\_widget\_definition
------------------------------------

.. automodule:: datadog_api_client.v1.model.service_summary_widget_definition
   :members:
   :show-inheritance:

service\_summary\_widget\_definition\_type
------------------------------------------

.. automodule:: datadog_api_client.v1.model.service_summary_widget_definition_type
   :members:
   :show-inheritance:

signal\_archive\_reason
-----------------------

.. automodule:: datadog_api_client.v1.model.signal_archive_reason
   :members:
   :show-inheritance:

signal\_assignee\_update\_request
---------------------------------

.. automodule:: datadog_api_client.v1.model.signal_assignee_update_request
   :members:
   :show-inheritance:

signal\_state\_update\_request
------------------------------

.. automodule:: datadog_api_client.v1.model.signal_state_update_request
   :members:
   :show-inheritance:

signal\_triage\_state
---------------------

.. automodule:: datadog_api_client.v1.model.signal_triage_state
   :members:
   :show-inheritance:

slack\_integration\_channel
---------------------------

.. automodule:: datadog_api_client.v1.model.slack_integration_channel
   :members:
   :show-inheritance:

slack\_integration\_channel\_display
------------------------------------

.. automodule:: datadog_api_client.v1.model.slack_integration_channel_display
   :members:
   :show-inheritance:

slack\_integration\_channels
----------------------------

.. automodule:: datadog_api_client.v1.model.slack_integration_channels
   :members:
   :show-inheritance:

slo\_bulk\_delete
-----------------

.. automodule:: datadog_api_client.v1.model.slo_bulk_delete
   :members:
   :show-inheritance:

slo\_bulk\_delete\_error
------------------------

.. automodule:: datadog_api_client.v1.model.slo_bulk_delete_error
   :members:
   :show-inheritance:

slo\_bulk\_delete\_response
---------------------------

.. automodule:: datadog_api_client.v1.model.slo_bulk_delete_response
   :members:
   :show-inheritance:

slo\_bulk\_delete\_response\_data
---------------------------------

.. automodule:: datadog_api_client.v1.model.slo_bulk_delete_response_data
   :members:
   :show-inheritance:

slo\_correction
---------------

.. automodule:: datadog_api_client.v1.model.slo_correction
   :members:
   :show-inheritance:

slo\_correction\_category
-------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_category
   :members:
   :show-inheritance:

slo\_correction\_create\_data
-----------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_create_data
   :members:
   :show-inheritance:

slo\_correction\_create\_request
--------------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_create_request
   :members:
   :show-inheritance:

slo\_correction\_create\_request\_attributes
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_create_request_attributes
   :members:
   :show-inheritance:

slo\_correction\_list\_response
-------------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_list_response
   :members:
   :show-inheritance:

slo\_correction\_response
-------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_response
   :members:
   :show-inheritance:

slo\_correction\_response\_attributes
-------------------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_response_attributes
   :members:
   :show-inheritance:

slo\_correction\_response\_attributes\_modifier
-----------------------------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_response_attributes_modifier
   :members:
   :show-inheritance:

slo\_correction\_type
---------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_type
   :members:
   :show-inheritance:

slo\_correction\_update\_data
-----------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_update_data
   :members:
   :show-inheritance:

slo\_correction\_update\_request
--------------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_update_request
   :members:
   :show-inheritance:

slo\_correction\_update\_request\_attributes
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.slo_correction_update_request_attributes
   :members:
   :show-inheritance:

slo\_delete\_response
---------------------

.. automodule:: datadog_api_client.v1.model.slo_delete_response
   :members:
   :show-inheritance:

slo\_error\_budget\_remaining\_data
-----------------------------------

.. automodule:: datadog_api_client.v1.model.slo_error_budget_remaining_data
   :members:
   :show-inheritance:

slo\_error\_timeframe
---------------------

.. automodule:: datadog_api_client.v1.model.slo_error_timeframe
   :members:
   :show-inheritance:

slo\_history\_metrics
---------------------

.. automodule:: datadog_api_client.v1.model.slo_history_metrics
   :members:
   :show-inheritance:

slo\_history\_metrics\_series
-----------------------------

.. automodule:: datadog_api_client.v1.model.slo_history_metrics_series
   :members:
   :show-inheritance:

slo\_history\_metrics\_series\_metadata
---------------------------------------

.. automodule:: datadog_api_client.v1.model.slo_history_metrics_series_metadata
   :members:
   :show-inheritance:

slo\_history\_metrics\_series\_metadata\_unit
---------------------------------------------

.. automodule:: datadog_api_client.v1.model.slo_history_metrics_series_metadata_unit
   :members:
   :show-inheritance:

slo\_history\_monitor
---------------------

.. automodule:: datadog_api_client.v1.model.slo_history_monitor
   :members:
   :show-inheritance:

slo\_history\_response
----------------------

.. automodule:: datadog_api_client.v1.model.slo_history_response
   :members:
   :show-inheritance:

slo\_history\_response\_data
----------------------------

.. automodule:: datadog_api_client.v1.model.slo_history_response_data
   :members:
   :show-inheritance:

slo\_history\_response\_error
-----------------------------

.. automodule:: datadog_api_client.v1.model.slo_history_response_error
   :members:
   :show-inheritance:

slo\_history\_response\_error\_with\_type
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.slo_history_response_error_with_type
   :members:
   :show-inheritance:

slo\_history\_sli\_data
-----------------------

.. automodule:: datadog_api_client.v1.model.slo_history_sli_data
   :members:
   :show-inheritance:

slo\_list\_response
-------------------

.. automodule:: datadog_api_client.v1.model.slo_list_response
   :members:
   :show-inheritance:

slo\_list\_response\_metadata
-----------------------------

.. automodule:: datadog_api_client.v1.model.slo_list_response_metadata
   :members:
   :show-inheritance:

slo\_list\_response\_metadata\_page
-----------------------------------

.. automodule:: datadog_api_client.v1.model.slo_list_response_metadata_page
   :members:
   :show-inheritance:

slo\_response
-------------

.. automodule:: datadog_api_client.v1.model.slo_response
   :members:
   :show-inheritance:

slo\_response\_data
-------------------

.. automodule:: datadog_api_client.v1.model.slo_response_data
   :members:
   :show-inheritance:

slo\_threshold
--------------

.. automodule:: datadog_api_client.v1.model.slo_threshold
   :members:
   :show-inheritance:

slo\_timeframe
--------------

.. automodule:: datadog_api_client.v1.model.slo_timeframe
   :members:
   :show-inheritance:

slo\_type
---------

.. automodule:: datadog_api_client.v1.model.slo_type
   :members:
   :show-inheritance:

slo\_type\_numeric
------------------

.. automodule:: datadog_api_client.v1.model.slo_type_numeric
   :members:
   :show-inheritance:

slo\_widget\_definition
-----------------------

.. automodule:: datadog_api_client.v1.model.slo_widget_definition
   :members:
   :show-inheritance:

slo\_widget\_definition\_type
-----------------------------

.. automodule:: datadog_api_client.v1.model.slo_widget_definition_type
   :members:
   :show-inheritance:

successful\_signal\_update\_response
------------------------------------

.. automodule:: datadog_api_client.v1.model.successful_signal_update_response
   :members:
   :show-inheritance:

sunburst\_widget\_definition
----------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_definition
   :members:
   :show-inheritance:

sunburst\_widget\_definition\_type
----------------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_definition_type
   :members:
   :show-inheritance:

sunburst\_widget\_legend
------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_legend
   :members:
   :show-inheritance:

sunburst\_widget\_legend\_inline\_automatic
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_legend_inline_automatic
   :members:
   :show-inheritance:

sunburst\_widget\_legend\_inline\_automatic\_type
-------------------------------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_legend_inline_automatic_type
   :members:
   :show-inheritance:

sunburst\_widget\_legend\_table
-------------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_legend_table
   :members:
   :show-inheritance:

sunburst\_widget\_legend\_table\_type
-------------------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_legend_table_type
   :members:
   :show-inheritance:

sunburst\_widget\_request
-------------------------

.. automodule:: datadog_api_client.v1.model.sunburst_widget_request
   :members:
   :show-inheritance:

synthetics\_api\_step
---------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_step
   :members:
   :show-inheritance:

synthetics\_api\_step\_subtype
------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_step_subtype
   :members:
   :show-inheritance:

synthetics\_api\_test
---------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test
   :members:
   :show-inheritance:

synthetics\_api\_test\_config
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_config
   :members:
   :show-inheritance:

synthetics\_api\_test\_failure\_code
------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_failure_code
   :members:
   :show-inheritance:

synthetics\_api\_test\_result\_data
-----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_result_data
   :members:
   :show-inheritance:

synthetics\_api\_test\_result\_failure
--------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_result_failure
   :members:
   :show-inheritance:

synthetics\_api\_test\_result\_full
-----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_result_full
   :members:
   :show-inheritance:

synthetics\_api\_test\_result\_full\_check
------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_result_full_check
   :members:
   :show-inheritance:

synthetics\_api\_test\_result\_short
------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_result_short
   :members:
   :show-inheritance:

synthetics\_api\_test\_result\_short\_result
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_result_short_result
   :members:
   :show-inheritance:

synthetics\_api\_test\_type
---------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_api_test_type
   :members:
   :show-inheritance:

synthetics\_assertion
---------------------

.. automodule:: datadog_api_client.v1.model.synthetics_assertion
   :members:
   :show-inheritance:

synthetics\_assertion\_json\_path\_operator
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_assertion_json_path_operator
   :members:
   :show-inheritance:

synthetics\_assertion\_json\_path\_target
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_assertion_json_path_target
   :members:
   :show-inheritance:

synthetics\_assertion\_json\_path\_target\_target
-------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_assertion_json_path_target_target
   :members:
   :show-inheritance:

synthetics\_assertion\_operator
-------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_assertion_operator
   :members:
   :show-inheritance:

synthetics\_assertion\_target
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_assertion_target
   :members:
   :show-inheritance:

synthetics\_assertion\_type
---------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_assertion_type
   :members:
   :show-inheritance:

synthetics\_basic\_auth
-----------------------

.. automodule:: datadog_api_client.v1.model.synthetics_basic_auth
   :members:
   :show-inheritance:

synthetics\_basic\_auth\_ntlm
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_basic_auth_ntlm
   :members:
   :show-inheritance:

synthetics\_basic\_auth\_ntlm\_type
-----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_basic_auth_ntlm_type
   :members:
   :show-inheritance:

synthetics\_basic\_auth\_sigv4
------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_basic_auth_sigv4
   :members:
   :show-inheritance:

synthetics\_basic\_auth\_sigv4\_type
------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_basic_auth_sigv4_type
   :members:
   :show-inheritance:

synthetics\_basic\_auth\_web
----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_basic_auth_web
   :members:
   :show-inheritance:

synthetics\_basic\_auth\_web\_type
----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_basic_auth_web_type
   :members:
   :show-inheritance:

synthetics\_batch\_details
--------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_batch_details
   :members:
   :show-inheritance:

synthetics\_batch\_details\_data
--------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_batch_details_data
   :members:
   :show-inheritance:

synthetics\_batch\_result
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_batch_result
   :members:
   :show-inheritance:

synthetics\_browser\_error
--------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_error
   :members:
   :show-inheritance:

synthetics\_browser\_error\_type
--------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_error_type
   :members:
   :show-inheritance:

synthetics\_browser\_test
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test
   :members:
   :show-inheritance:

synthetics\_browser\_test\_config
---------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_config
   :members:
   :show-inheritance:

synthetics\_browser\_test\_failure\_code
----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_failure_code
   :members:
   :show-inheritance:

synthetics\_browser\_test\_result\_data
---------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_result_data
   :members:
   :show-inheritance:

synthetics\_browser\_test\_result\_failure
------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_result_failure
   :members:
   :show-inheritance:

synthetics\_browser\_test\_result\_full
---------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_result_full
   :members:
   :show-inheritance:

synthetics\_browser\_test\_result\_full\_check
----------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_result_full_check
   :members:
   :show-inheritance:

synthetics\_browser\_test\_result\_short
----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_result_short
   :members:
   :show-inheritance:

synthetics\_browser\_test\_result\_short\_result
------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_result_short_result
   :members:
   :show-inheritance:

synthetics\_browser\_test\_rum\_settings
----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_rum_settings
   :members:
   :show-inheritance:

synthetics\_browser\_test\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_test_type
   :members:
   :show-inheritance:

synthetics\_browser\_variable
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_variable
   :members:
   :show-inheritance:

synthetics\_browser\_variable\_type
-----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_browser_variable_type
   :members:
   :show-inheritance:

synthetics\_check\_type
-----------------------

.. automodule:: datadog_api_client.v1.model.synthetics_check_type
   :members:
   :show-inheritance:

synthetics\_ci\_batch\_metadata
-------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ci_batch_metadata
   :members:
   :show-inheritance:

synthetics\_ci\_batch\_metadata\_ci
-----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ci_batch_metadata_ci
   :members:
   :show-inheritance:

synthetics\_ci\_batch\_metadata\_git
------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ci_batch_metadata_git
   :members:
   :show-inheritance:

synthetics\_ci\_batch\_metadata\_pipeline
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ci_batch_metadata_pipeline
   :members:
   :show-inheritance:

synthetics\_ci\_batch\_metadata\_provider
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ci_batch_metadata_provider
   :members:
   :show-inheritance:

synthetics\_ci\_test
--------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ci_test
   :members:
   :show-inheritance:

synthetics\_ci\_test\_body
--------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ci_test_body
   :members:
   :show-inheritance:

synthetics\_config\_variable
----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_config_variable
   :members:
   :show-inheritance:

synthetics\_config\_variable\_type
----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_config_variable_type
   :members:
   :show-inheritance:

synthetics\_core\_web\_vitals
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_core_web_vitals
   :members:
   :show-inheritance:

synthetics\_delete\_tests\_payload
----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_delete_tests_payload
   :members:
   :show-inheritance:

synthetics\_delete\_tests\_response
-----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_delete_tests_response
   :members:
   :show-inheritance:

synthetics\_deleted\_test
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_deleted_test
   :members:
   :show-inheritance:

synthetics\_device
------------------

.. automodule:: datadog_api_client.v1.model.synthetics_device
   :members:
   :show-inheritance:

synthetics\_device\_id
----------------------

.. automodule:: datadog_api_client.v1.model.synthetics_device_id
   :members:
   :show-inheritance:

synthetics\_get\_api\_test\_latest\_results\_response
-----------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_get_api_test_latest_results_response
   :members:
   :show-inheritance:

synthetics\_get\_browser\_test\_latest\_results\_response
---------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_get_browser_test_latest_results_response
   :members:
   :show-inheritance:

synthetics\_global\_variable
----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_global_variable
   :members:
   :show-inheritance:

synthetics\_global\_variable\_attributes
----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_global_variable_attributes
   :members:
   :show-inheritance:

synthetics\_global\_variable\_parse\_test\_options
--------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_global_variable_parse_test_options
   :members:
   :show-inheritance:

synthetics\_global\_variable\_parse\_test\_options\_type
--------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_global_variable_parse_test_options_type
   :members:
   :show-inheritance:

synthetics\_global\_variable\_parser\_type
------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_global_variable_parser_type
   :members:
   :show-inheritance:

synthetics\_global\_variable\_value
-----------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_global_variable_value
   :members:
   :show-inheritance:

synthetics\_list\_global\_variables\_response
---------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_list_global_variables_response
   :members:
   :show-inheritance:

synthetics\_list\_tests\_response
---------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_list_tests_response
   :members:
   :show-inheritance:

synthetics\_location
--------------------

.. automodule:: datadog_api_client.v1.model.synthetics_location
   :members:
   :show-inheritance:

synthetics\_locations
---------------------

.. automodule:: datadog_api_client.v1.model.synthetics_locations
   :members:
   :show-inheritance:

synthetics\_parsing\_options
----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_parsing_options
   :members:
   :show-inheritance:

synthetics\_playing\_tab
------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_playing_tab
   :members:
   :show-inheritance:

synthetics\_private\_location
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_private_location
   :members:
   :show-inheritance:

synthetics\_private\_location\_creation\_response
-------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_private_location_creation_response
   :members:
   :show-inheritance:

synthetics\_private\_location\_creation\_response\_result\_encryption
---------------------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_private_location_creation_response_result_encryption
   :members:
   :show-inheritance:

synthetics\_private\_location\_metadata
---------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_private_location_metadata
   :members:
   :show-inheritance:

synthetics\_private\_location\_secrets
--------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_private_location_secrets
   :members:
   :show-inheritance:

synthetics\_private\_location\_secrets\_authentication
------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_private_location_secrets_authentication
   :members:
   :show-inheritance:

synthetics\_private\_location\_secrets\_config\_decryption
----------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_private_location_secrets_config_decryption
   :members:
   :show-inheritance:

synthetics\_restricted\_roles
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_restricted_roles
   :members:
   :show-inheritance:

synthetics\_ssl\_certificate
----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ssl_certificate
   :members:
   :show-inheritance:

synthetics\_ssl\_certificate\_issuer
------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ssl_certificate_issuer
   :members:
   :show-inheritance:

synthetics\_ssl\_certificate\_subject
-------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_ssl_certificate_subject
   :members:
   :show-inheritance:

synthetics\_status
------------------

.. automodule:: datadog_api_client.v1.model.synthetics_status
   :members:
   :show-inheritance:

synthetics\_step
----------------

.. automodule:: datadog_api_client.v1.model.synthetics_step
   :members:
   :show-inheritance:

synthetics\_step\_detail
------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_step_detail
   :members:
   :show-inheritance:

synthetics\_step\_detail\_warning
---------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_step_detail_warning
   :members:
   :show-inheritance:

synthetics\_step\_type
----------------------

.. automodule:: datadog_api_client.v1.model.synthetics_step_type
   :members:
   :show-inheritance:

synthetics\_test\_ci\_options
-----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_ci_options
   :members:
   :show-inheritance:

synthetics\_test\_config
------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_config
   :members:
   :show-inheritance:

synthetics\_test\_details
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_details
   :members:
   :show-inheritance:

synthetics\_test\_details\_sub\_type
------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_details_sub_type
   :members:
   :show-inheritance:

synthetics\_test\_details\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_details_type
   :members:
   :show-inheritance:

synthetics\_test\_execution\_rule
---------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_execution_rule
   :members:
   :show-inheritance:

synthetics\_test\_headers
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_headers
   :members:
   :show-inheritance:

synthetics\_test\_metadata
--------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_metadata
   :members:
   :show-inheritance:

synthetics\_test\_monitor\_status
---------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_monitor_status
   :members:
   :show-inheritance:

synthetics\_test\_options
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_options
   :members:
   :show-inheritance:

synthetics\_test\_options\_monitor\_options
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_options_monitor_options
   :members:
   :show-inheritance:

synthetics\_test\_options\_retry
--------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_options_retry
   :members:
   :show-inheritance:

synthetics\_test\_pause\_status
-------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_pause_status
   :members:
   :show-inheritance:

synthetics\_test\_process\_status
---------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_process_status
   :members:
   :show-inheritance:

synthetics\_test\_request
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_request
   :members:
   :show-inheritance:

synthetics\_test\_request\_certificate
--------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_request_certificate
   :members:
   :show-inheritance:

synthetics\_test\_request\_certificate\_item
--------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_request_certificate_item
   :members:
   :show-inheritance:

synthetics\_test\_request\_proxy
--------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_test_request_proxy
   :members:
   :show-inheritance:

synthetics\_timing
------------------

.. automodule:: datadog_api_client.v1.model.synthetics_timing
   :members:
   :show-inheritance:

synthetics\_trigger\_body
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_trigger_body
   :members:
   :show-inheritance:

synthetics\_trigger\_ci\_test\_location
---------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_trigger_ci_test_location
   :members:
   :show-inheritance:

synthetics\_trigger\_ci\_test\_run\_result
------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_trigger_ci_test_run_result
   :members:
   :show-inheritance:

synthetics\_trigger\_ci\_tests\_response
----------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_trigger_ci_tests_response
   :members:
   :show-inheritance:

synthetics\_trigger\_test
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_trigger_test
   :members:
   :show-inheritance:

synthetics\_update\_test\_pause\_status\_payload
------------------------------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_update_test_pause_status_payload
   :members:
   :show-inheritance:

synthetics\_variable\_parser
----------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_variable_parser
   :members:
   :show-inheritance:

synthetics\_warning\_type
-------------------------

.. automodule:: datadog_api_client.v1.model.synthetics_warning_type
   :members:
   :show-inheritance:

table\_widget\_cell\_display\_mode
----------------------------------

.. automodule:: datadog_api_client.v1.model.table_widget_cell_display_mode
   :members:
   :show-inheritance:

table\_widget\_definition
-------------------------

.. automodule:: datadog_api_client.v1.model.table_widget_definition
   :members:
   :show-inheritance:

table\_widget\_definition\_type
-------------------------------

.. automodule:: datadog_api_client.v1.model.table_widget_definition_type
   :members:
   :show-inheritance:

table\_widget\_has\_search\_bar
-------------------------------

.. automodule:: datadog_api_client.v1.model.table_widget_has_search_bar
   :members:
   :show-inheritance:

table\_widget\_request
----------------------

.. automodule:: datadog_api_client.v1.model.table_widget_request
   :members:
   :show-inheritance:

tag\_to\_hosts
--------------

.. automodule:: datadog_api_client.v1.model.tag_to_hosts
   :members:
   :show-inheritance:

target\_format\_type
--------------------

.. automodule:: datadog_api_client.v1.model.target_format_type
   :members:
   :show-inheritance:

timeseries\_background
----------------------

.. automodule:: datadog_api_client.v1.model.timeseries_background
   :members:
   :show-inheritance:

timeseries\_background\_type
----------------------------

.. automodule:: datadog_api_client.v1.model.timeseries_background_type
   :members:
   :show-inheritance:

timeseries\_widget\_definition
------------------------------

.. automodule:: datadog_api_client.v1.model.timeseries_widget_definition
   :members:
   :show-inheritance:

timeseries\_widget\_definition\_type
------------------------------------

.. automodule:: datadog_api_client.v1.model.timeseries_widget_definition_type
   :members:
   :show-inheritance:

timeseries\_widget\_expression\_alias
-------------------------------------

.. automodule:: datadog_api_client.v1.model.timeseries_widget_expression_alias
   :members:
   :show-inheritance:

timeseries\_widget\_legend\_column
----------------------------------

.. automodule:: datadog_api_client.v1.model.timeseries_widget_legend_column
   :members:
   :show-inheritance:

timeseries\_widget\_legend\_layout
----------------------------------

.. automodule:: datadog_api_client.v1.model.timeseries_widget_legend_layout
   :members:
   :show-inheritance:

timeseries\_widget\_request
---------------------------

.. automodule:: datadog_api_client.v1.model.timeseries_widget_request
   :members:
   :show-inheritance:

toplist\_widget\_definition
---------------------------

.. automodule:: datadog_api_client.v1.model.toplist_widget_definition
   :members:
   :show-inheritance:

toplist\_widget\_definition\_type
---------------------------------

.. automodule:: datadog_api_client.v1.model.toplist_widget_definition_type
   :members:
   :show-inheritance:

toplist\_widget\_request
------------------------

.. automodule:: datadog_api_client.v1.model.toplist_widget_request
   :members:
   :show-inheritance:

tree\_map\_color\_by
--------------------

.. automodule:: datadog_api_client.v1.model.tree_map_color_by
   :members:
   :show-inheritance:

tree\_map\_group\_by
--------------------

.. automodule:: datadog_api_client.v1.model.tree_map_group_by
   :members:
   :show-inheritance:

tree\_map\_size\_by
-------------------

.. automodule:: datadog_api_client.v1.model.tree_map_size_by
   :members:
   :show-inheritance:

tree\_map\_widget\_definition
-----------------------------

.. automodule:: datadog_api_client.v1.model.tree_map_widget_definition
   :members:
   :show-inheritance:

tree\_map\_widget\_definition\_type
-----------------------------------

.. automodule:: datadog_api_client.v1.model.tree_map_widget_definition_type
   :members:
   :show-inheritance:

tree\_map\_widget\_request
--------------------------

.. automodule:: datadog_api_client.v1.model.tree_map_widget_request
   :members:
   :show-inheritance:

usage\_analyzed\_logs\_hour
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_analyzed_logs_hour
   :members:
   :show-inheritance:

usage\_analyzed\_logs\_response
-------------------------------

.. automodule:: datadog_api_client.v1.model.usage_analyzed_logs_response
   :members:
   :show-inheritance:

usage\_attribution\_aggregates
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_aggregates
   :members:
   :show-inheritance:

usage\_attribution\_aggregates\_body
------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_aggregates_body
   :members:
   :show-inheritance:

usage\_attribution\_body
------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_body
   :members:
   :show-inheritance:

usage\_attribution\_metadata
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_metadata
   :members:
   :show-inheritance:

usage\_attribution\_pagination
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_pagination
   :members:
   :show-inheritance:

usage\_attribution\_response
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_response
   :members:
   :show-inheritance:

usage\_attribution\_sort
------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_sort
   :members:
   :show-inheritance:

usage\_attribution\_supported\_metrics
--------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_supported_metrics
   :members:
   :show-inheritance:

usage\_attribution\_tag\_names
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_tag_names
   :members:
   :show-inheritance:

usage\_attribution\_values
--------------------------

.. automodule:: datadog_api_client.v1.model.usage_attribution_values
   :members:
   :show-inheritance:

usage\_audit\_logs\_hour
------------------------

.. automodule:: datadog_api_client.v1.model.usage_audit_logs_hour
   :members:
   :show-inheritance:

usage\_audit\_logs\_response
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_audit_logs_response
   :members:
   :show-inheritance:

usage\_billable\_summary\_body
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_billable_summary_body
   :members:
   :show-inheritance:

usage\_billable\_summary\_hour
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_billable_summary_hour
   :members:
   :show-inheritance:

usage\_billable\_summary\_keys
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_billable_summary_keys
   :members:
   :show-inheritance:

usage\_billable\_summary\_response
----------------------------------

.. automodule:: datadog_api_client.v1.model.usage_billable_summary_response
   :members:
   :show-inheritance:

usage\_ci\_visibility\_hour
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_ci_visibility_hour
   :members:
   :show-inheritance:

usage\_ci\_visibility\_response
-------------------------------

.. automodule:: datadog_api_client.v1.model.usage_ci_visibility_response
   :members:
   :show-inheritance:

usage\_cloud\_security\_posture\_management\_hour
-------------------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_cloud_security_posture_management_hour
   :members:
   :show-inheritance:

usage\_cloud\_security\_posture\_management\_response
-----------------------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_cloud_security_posture_management_response
   :members:
   :show-inheritance:

usage\_custom\_reports\_attributes
----------------------------------

.. automodule:: datadog_api_client.v1.model.usage_custom_reports_attributes
   :members:
   :show-inheritance:

usage\_custom\_reports\_data
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_custom_reports_data
   :members:
   :show-inheritance:

usage\_custom\_reports\_meta
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_custom_reports_meta
   :members:
   :show-inheritance:

usage\_custom\_reports\_page
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_custom_reports_page
   :members:
   :show-inheritance:

usage\_custom\_reports\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.usage_custom_reports_response
   :members:
   :show-inheritance:

usage\_cws\_hour
----------------

.. automodule:: datadog_api_client.v1.model.usage_cws_hour
   :members:
   :show-inheritance:

usage\_cws\_response
--------------------

.. automodule:: datadog_api_client.v1.model.usage_cws_response
   :members:
   :show-inheritance:

usage\_dbm\_hour
----------------

.. automodule:: datadog_api_client.v1.model.usage_dbm_hour
   :members:
   :show-inheritance:

usage\_dbm\_response
--------------------

.. automodule:: datadog_api_client.v1.model.usage_dbm_response
   :members:
   :show-inheritance:

usage\_fargate\_hour
--------------------

.. automodule:: datadog_api_client.v1.model.usage_fargate_hour
   :members:
   :show-inheritance:

usage\_fargate\_response
------------------------

.. automodule:: datadog_api_client.v1.model.usage_fargate_response
   :members:
   :show-inheritance:

usage\_host\_hour
-----------------

.. automodule:: datadog_api_client.v1.model.usage_host_hour
   :members:
   :show-inheritance:

usage\_hosts\_response
----------------------

.. automodule:: datadog_api_client.v1.model.usage_hosts_response
   :members:
   :show-inheritance:

usage\_incident\_management\_hour
---------------------------------

.. automodule:: datadog_api_client.v1.model.usage_incident_management_hour
   :members:
   :show-inheritance:

usage\_incident\_management\_response
-------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_incident_management_response
   :members:
   :show-inheritance:

usage\_indexed\_spans\_hour
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_indexed_spans_hour
   :members:
   :show-inheritance:

usage\_indexed\_spans\_response
-------------------------------

.. automodule:: datadog_api_client.v1.model.usage_indexed_spans_response
   :members:
   :show-inheritance:

usage\_ingested\_spans\_hour
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_ingested_spans_hour
   :members:
   :show-inheritance:

usage\_ingested\_spans\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.usage_ingested_spans_response
   :members:
   :show-inheritance:

usage\_iot\_hour
----------------

.. automodule:: datadog_api_client.v1.model.usage_iot_hour
   :members:
   :show-inheritance:

usage\_iot\_response
--------------------

.. automodule:: datadog_api_client.v1.model.usage_iot_response
   :members:
   :show-inheritance:

usage\_lambda\_hour
-------------------

.. automodule:: datadog_api_client.v1.model.usage_lambda_hour
   :members:
   :show-inheritance:

usage\_lambda\_response
-----------------------

.. automodule:: datadog_api_client.v1.model.usage_lambda_response
   :members:
   :show-inheritance:

usage\_logs\_by\_index\_hour
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_logs_by_index_hour
   :members:
   :show-inheritance:

usage\_logs\_by\_index\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.usage_logs_by_index_response
   :members:
   :show-inheritance:

usage\_logs\_by\_retention\_hour
--------------------------------

.. automodule:: datadog_api_client.v1.model.usage_logs_by_retention_hour
   :members:
   :show-inheritance:

usage\_logs\_by\_retention\_response
------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_logs_by_retention_response
   :members:
   :show-inheritance:

usage\_logs\_hour
-----------------

.. automodule:: datadog_api_client.v1.model.usage_logs_hour
   :members:
   :show-inheritance:

usage\_logs\_response
---------------------

.. automodule:: datadog_api_client.v1.model.usage_logs_response
   :members:
   :show-inheritance:

usage\_metric\_category
-----------------------

.. automodule:: datadog_api_client.v1.model.usage_metric_category
   :members:
   :show-inheritance:

usage\_network\_flows\_hour
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_network_flows_hour
   :members:
   :show-inheritance:

usage\_network\_flows\_response
-------------------------------

.. automodule:: datadog_api_client.v1.model.usage_network_flows_response
   :members:
   :show-inheritance:

usage\_network\_hosts\_hour
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_network_hosts_hour
   :members:
   :show-inheritance:

usage\_network\_hosts\_response
-------------------------------

.. automodule:: datadog_api_client.v1.model.usage_network_hosts_response
   :members:
   :show-inheritance:

usage\_online\_archive\_hour
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_online_archive_hour
   :members:
   :show-inheritance:

usage\_online\_archive\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.usage_online_archive_response
   :members:
   :show-inheritance:

usage\_profiling\_hour
----------------------

.. automodule:: datadog_api_client.v1.model.usage_profiling_hour
   :members:
   :show-inheritance:

usage\_profiling\_response
--------------------------

.. automodule:: datadog_api_client.v1.model.usage_profiling_response
   :members:
   :show-inheritance:

usage\_reports\_type
--------------------

.. automodule:: datadog_api_client.v1.model.usage_reports_type
   :members:
   :show-inheritance:

usage\_rum\_sessions\_hour
--------------------------

.. automodule:: datadog_api_client.v1.model.usage_rum_sessions_hour
   :members:
   :show-inheritance:

usage\_rum\_sessions\_response
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_rum_sessions_response
   :members:
   :show-inheritance:

usage\_rum\_units\_hour
-----------------------

.. automodule:: datadog_api_client.v1.model.usage_rum_units_hour
   :members:
   :show-inheritance:

usage\_rum\_units\_response
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_rum_units_response
   :members:
   :show-inheritance:

usage\_sds\_hour
----------------

.. automodule:: datadog_api_client.v1.model.usage_sds_hour
   :members:
   :show-inheritance:

usage\_sds\_response
--------------------

.. automodule:: datadog_api_client.v1.model.usage_sds_response
   :members:
   :show-inheritance:

usage\_snmp\_hour
-----------------

.. automodule:: datadog_api_client.v1.model.usage_snmp_hour
   :members:
   :show-inheritance:

usage\_snmp\_response
---------------------

.. automodule:: datadog_api_client.v1.model.usage_snmp_response
   :members:
   :show-inheritance:

usage\_sort
-----------

.. automodule:: datadog_api_client.v1.model.usage_sort
   :members:
   :show-inheritance:

usage\_sort\_direction
----------------------

.. automodule:: datadog_api_client.v1.model.usage_sort_direction
   :members:
   :show-inheritance:

usage\_specified\_custom\_reports\_attributes
---------------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_specified_custom_reports_attributes
   :members:
   :show-inheritance:

usage\_specified\_custom\_reports\_data
---------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_specified_custom_reports_data
   :members:
   :show-inheritance:

usage\_specified\_custom\_reports\_meta
---------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_specified_custom_reports_meta
   :members:
   :show-inheritance:

usage\_specified\_custom\_reports\_page
---------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_specified_custom_reports_page
   :members:
   :show-inheritance:

usage\_specified\_custom\_reports\_response
-------------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_specified_custom_reports_response
   :members:
   :show-inheritance:

usage\_summary\_date
--------------------

.. automodule:: datadog_api_client.v1.model.usage_summary_date
   :members:
   :show-inheritance:

usage\_summary\_date\_org
-------------------------

.. automodule:: datadog_api_client.v1.model.usage_summary_date_org
   :members:
   :show-inheritance:

usage\_summary\_response
------------------------

.. automodule:: datadog_api_client.v1.model.usage_summary_response
   :members:
   :show-inheritance:

usage\_synthetics\_api\_hour
----------------------------

.. automodule:: datadog_api_client.v1.model.usage_synthetics_api_hour
   :members:
   :show-inheritance:

usage\_synthetics\_api\_response
--------------------------------

.. automodule:: datadog_api_client.v1.model.usage_synthetics_api_response
   :members:
   :show-inheritance:

usage\_synthetics\_browser\_hour
--------------------------------

.. automodule:: datadog_api_client.v1.model.usage_synthetics_browser_hour
   :members:
   :show-inheritance:

usage\_synthetics\_browser\_response
------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_synthetics_browser_response
   :members:
   :show-inheritance:

usage\_synthetics\_hour
-----------------------

.. automodule:: datadog_api_client.v1.model.usage_synthetics_hour
   :members:
   :show-inheritance:

usage\_synthetics\_response
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_synthetics_response
   :members:
   :show-inheritance:

usage\_timeseries\_hour
-----------------------

.. automodule:: datadog_api_client.v1.model.usage_timeseries_hour
   :members:
   :show-inheritance:

usage\_timeseries\_response
---------------------------

.. automodule:: datadog_api_client.v1.model.usage_timeseries_response
   :members:
   :show-inheritance:

usage\_top\_avg\_metrics\_hour
------------------------------

.. automodule:: datadog_api_client.v1.model.usage_top_avg_metrics_hour
   :members:
   :show-inheritance:

usage\_top\_avg\_metrics\_metadata
----------------------------------

.. automodule:: datadog_api_client.v1.model.usage_top_avg_metrics_metadata
   :members:
   :show-inheritance:

usage\_top\_avg\_metrics\_pagination
------------------------------------

.. automodule:: datadog_api_client.v1.model.usage_top_avg_metrics_pagination
   :members:
   :show-inheritance:

usage\_top\_avg\_metrics\_response
----------------------------------

.. automodule:: datadog_api_client.v1.model.usage_top_avg_metrics_response
   :members:
   :show-inheritance:

user
----

.. automodule:: datadog_api_client.v1.model.user
   :members:
   :show-inheritance:

user\_disable\_response
-----------------------

.. automodule:: datadog_api_client.v1.model.user_disable_response
   :members:
   :show-inheritance:

user\_list\_response
--------------------

.. automodule:: datadog_api_client.v1.model.user_list_response
   :members:
   :show-inheritance:

user\_response
--------------

.. automodule:: datadog_api_client.v1.model.user_response
   :members:
   :show-inheritance:

webhooks\_integration
---------------------

.. automodule:: datadog_api_client.v1.model.webhooks_integration
   :members:
   :show-inheritance:

webhooks\_integration\_custom\_variable
---------------------------------------

.. automodule:: datadog_api_client.v1.model.webhooks_integration_custom_variable
   :members:
   :show-inheritance:

webhooks\_integration\_custom\_variable\_response
-------------------------------------------------

.. automodule:: datadog_api_client.v1.model.webhooks_integration_custom_variable_response
   :members:
   :show-inheritance:

webhooks\_integration\_custom\_variable\_update\_request
--------------------------------------------------------

.. automodule:: datadog_api_client.v1.model.webhooks_integration_custom_variable_update_request
   :members:
   :show-inheritance:

webhooks\_integration\_encoding
-------------------------------

.. automodule:: datadog_api_client.v1.model.webhooks_integration_encoding
   :members:
   :show-inheritance:

webhooks\_integration\_update\_request
--------------------------------------

.. automodule:: datadog_api_client.v1.model.webhooks_integration_update_request
   :members:
   :show-inheritance:

widget
------

.. automodule:: datadog_api_client.v1.model.widget
   :members:
   :show-inheritance:

widget\_aggregator
------------------

.. automodule:: datadog_api_client.v1.model.widget_aggregator
   :members:
   :show-inheritance:

widget\_axis
------------

.. automodule:: datadog_api_client.v1.model.widget_axis
   :members:
   :show-inheritance:

widget\_change\_type
--------------------

.. automodule:: datadog_api_client.v1.model.widget_change_type
   :members:
   :show-inheritance:

widget\_color\_preference
-------------------------

.. automodule:: datadog_api_client.v1.model.widget_color_preference
   :members:
   :show-inheritance:

widget\_comparator
------------------

.. automodule:: datadog_api_client.v1.model.widget_comparator
   :members:
   :show-inheritance:

widget\_compare\_to
-------------------

.. automodule:: datadog_api_client.v1.model.widget_compare_to
   :members:
   :show-inheritance:

widget\_conditional\_format
---------------------------

.. automodule:: datadog_api_client.v1.model.widget_conditional_format
   :members:
   :show-inheritance:

widget\_custom\_link
--------------------

.. automodule:: datadog_api_client.v1.model.widget_custom_link
   :members:
   :show-inheritance:

widget\_definition
------------------

.. automodule:: datadog_api_client.v1.model.widget_definition
   :members:
   :show-inheritance:

widget\_display\_type
---------------------

.. automodule:: datadog_api_client.v1.model.widget_display_type
   :members:
   :show-inheritance:

widget\_event
-------------

.. automodule:: datadog_api_client.v1.model.widget_event
   :members:
   :show-inheritance:

widget\_event\_size
-------------------

.. automodule:: datadog_api_client.v1.model.widget_event_size
   :members:
   :show-inheritance:

widget\_field\_sort
-------------------

.. automodule:: datadog_api_client.v1.model.widget_field_sort
   :members:
   :show-inheritance:

widget\_formula
---------------

.. automodule:: datadog_api_client.v1.model.widget_formula
   :members:
   :show-inheritance:

widget\_formula\_limit
----------------------

.. automodule:: datadog_api_client.v1.model.widget_formula_limit
   :members:
   :show-inheritance:

widget\_grouping
----------------

.. automodule:: datadog_api_client.v1.model.widget_grouping
   :members:
   :show-inheritance:

widget\_horizontal\_align
-------------------------

.. automodule:: datadog_api_client.v1.model.widget_horizontal_align
   :members:
   :show-inheritance:

widget\_image\_sizing
---------------------

.. automodule:: datadog_api_client.v1.model.widget_image_sizing
   :members:
   :show-inheritance:

widget\_layout
--------------

.. automodule:: datadog_api_client.v1.model.widget_layout
   :members:
   :show-inheritance:

widget\_layout\_type
--------------------

.. automodule:: datadog_api_client.v1.model.widget_layout_type
   :members:
   :show-inheritance:

widget\_line\_type
------------------

.. automodule:: datadog_api_client.v1.model.widget_line_type
   :members:
   :show-inheritance:

widget\_line\_width
-------------------

.. automodule:: datadog_api_client.v1.model.widget_line_width
   :members:
   :show-inheritance:

widget\_live\_span
------------------

.. automodule:: datadog_api_client.v1.model.widget_live_span
   :members:
   :show-inheritance:

widget\_margin
--------------

.. automodule:: datadog_api_client.v1.model.widget_margin
   :members:
   :show-inheritance:

widget\_marker
--------------

.. automodule:: datadog_api_client.v1.model.widget_marker
   :members:
   :show-inheritance:

widget\_message\_display
------------------------

.. automodule:: datadog_api_client.v1.model.widget_message_display
   :members:
   :show-inheritance:

widget\_monitor\_summary\_display\_format
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.widget_monitor_summary_display_format
   :members:
   :show-inheritance:

widget\_monitor\_summary\_sort
------------------------------

.. automodule:: datadog_api_client.v1.model.widget_monitor_summary_sort
   :members:
   :show-inheritance:

widget\_node\_type
------------------

.. automodule:: datadog_api_client.v1.model.widget_node_type
   :members:
   :show-inheritance:

widget\_order\_by
-----------------

.. automodule:: datadog_api_client.v1.model.widget_order_by
   :members:
   :show-inheritance:

widget\_palette
---------------

.. automodule:: datadog_api_client.v1.model.widget_palette
   :members:
   :show-inheritance:

widget\_request\_style
----------------------

.. automodule:: datadog_api_client.v1.model.widget_request_style
   :members:
   :show-inheritance:

widget\_service\_summary\_display\_format
-----------------------------------------

.. automodule:: datadog_api_client.v1.model.widget_service_summary_display_format
   :members:
   :show-inheritance:

widget\_size\_format
--------------------

.. automodule:: datadog_api_client.v1.model.widget_size_format
   :members:
   :show-inheritance:

widget\_sort
------------

.. automodule:: datadog_api_client.v1.model.widget_sort
   :members:
   :show-inheritance:

widget\_style
-------------

.. automodule:: datadog_api_client.v1.model.widget_style
   :members:
   :show-inheritance:

widget\_summary\_type
---------------------

.. automodule:: datadog_api_client.v1.model.widget_summary_type
   :members:
   :show-inheritance:

widget\_text\_align
-------------------

.. automodule:: datadog_api_client.v1.model.widget_text_align
   :members:
   :show-inheritance:

widget\_tick\_edge
------------------

.. automodule:: datadog_api_client.v1.model.widget_tick_edge
   :members:
   :show-inheritance:

widget\_time
------------

.. automodule:: datadog_api_client.v1.model.widget_time
   :members:
   :show-inheritance:

widget\_time\_windows
---------------------

.. automodule:: datadog_api_client.v1.model.widget_time_windows
   :members:
   :show-inheritance:

widget\_vertical\_align
-----------------------

.. automodule:: datadog_api_client.v1.model.widget_vertical_align
   :members:
   :show-inheritance:

widget\_view\_mode
------------------

.. automodule:: datadog_api_client.v1.model.widget_view_mode
   :members:
   :show-inheritance:

widget\_viz\_type
-----------------

.. automodule:: datadog_api_client.v1.model.widget_viz_type
   :members:
   :show-inheritance:


.. automodule:: datadog_api_client.v1.model
   :members:
   :show-inheritance:
